<html>
<head>
<title>OgreStringConverter.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreStringConverter.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreStringConverter_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __StringConverter_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __StringConverter_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreStringVector_8h.html">OgreStringVector.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreColourValue_8h.html">OgreColourValue.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreMath_8h.html">OgreMath.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreMatrix3_8h.html">OgreMatrix3.h</a>&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;<a class="code" href="OgreMatrix4_8h.html">OgreMatrix4.h</a>&quot;</span>
<a name="l00038"></a>00038 <span class="preprocessor">#include &quot;<a class="code" href="OgreQuaternion_8h.html">OgreQuaternion.h</a>&quot;</span>
<a name="l00039"></a>00039 <span class="preprocessor">#include &quot;<a class="code" href="OgreVector2_8h.html">OgreVector2.h</a>&quot;</span>
<a name="l00040"></a>00040 <span class="preprocessor">#include &quot;<a class="code" href="OgreVector3_8h.html">OgreVector3.h</a>&quot;</span>
<a name="l00041"></a>00041 <span class="preprocessor">#include &quot;<a class="code" href="OgreVector4_8h.html">OgreVector4.h</a>&quot;</span>
<a name="l00042"></a>00042 
<a name="l00043"></a>00043 <span class="keyword">namespace </span>Ogre {
<a name="l00044"></a>00044 
<a name="l00068"></a><a class="code" href="classOgre_1_1StringConverter.html">00068</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1StringConverter.html" title="Class for converting the core Ogre data types to/from Strings.">StringConverter</a>
<a name="l00069"></a>00069     {
<a name="l00070"></a>00070     <span class="keyword">public</span>:
<a name="l00071"></a>00071 
<a name="l00073"></a>00073         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> val, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> precision = 6, 
<a name="l00074"></a>00074             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">&#39; &#39;</span>, 
<a name="l00075"></a>00075             std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00077"></a><a class="code" href="classOgre_1_1StringConverter.html#a0ad310156901192d8b4e31f90ce420a0">00077</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> val, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> precision = 6, 
<a name="l00078"></a>00078             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">&#39; &#39;</span>, 
<a name="l00079"></a>00079             std::ios::fmtflags flags = std::ios::fmtflags(0) )
<a name="l00080"></a>00080         {
<a name="l00081"></a>00081             <span class="keywordflow">return</span> toString(val.<a class="code" href="group__Math.html#ga73959a5a953d4a695388a476387b8e15">valueAngleUnits</a>(), precision, width, fill, flags);
<a name="l00082"></a>00082         }
<a name="l00084"></a><a class="code" href="classOgre_1_1StringConverter.html#a1c4df33a22e7da4debdc1de0ee250773">00084</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<a class="code" href="classOgre_1_1Degree.html" title="Wrapper class which indicates a given angle value is in Degrees.">Degree</a> val, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> precision = 6, 
<a name="l00085"></a>00085             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">&#39; &#39;</span>, 
<a name="l00086"></a>00086             std::ios::fmtflags flags = std::ios::fmtflags(0) )
<a name="l00087"></a>00087         {
<a name="l00088"></a>00088             <span class="keywordflow">return</span> toString(val.<a class="code" href="group__Math.html#ga03857af7d94a567b27545a1f28a432e6">valueAngleUnits</a>(), precision, width, fill, flags);
<a name="l00089"></a>00089         }
<a name="l00091"></a>00091         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">int</span> val, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, 
<a name="l00092"></a>00092             <span class="keywordtype">char</span> fill = <span class="charliteral">&#39; &#39;</span>, 
<a name="l00093"></a>00093             std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00094"></a>00094 <span class="preprocessor">#if OGRE_PLATFORM != OGRE_PLATFORM_NACL &amp;&amp;  ( OGRE_ARCH_TYPE == OGRE_ARCHITECTURE_64 || OGRE_PLATFORM == OGRE_PLATFORM_APPLE || OGRE_PLATFORM == OGRE_PLATFORM_APPLE_IOS )</span>
<a name="l00095"></a>00095 <span class="preprocessor"></span>
<a name="l00096"></a>00096         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> val, 
<a name="l00097"></a>00097             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">&#39; &#39;</span>, 
<a name="l00098"></a>00098             std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00100"></a>00100         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">size_t</span> val, 
<a name="l00101"></a>00101             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">&#39; &#39;</span>, 
<a name="l00102"></a>00102             std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00103"></a>00103 <span class="preprocessor">        #if OGRE_COMPILER == OGRE_COMPILER_MSVC</span>
<a name="l00104"></a>00104 <span class="preprocessor"></span>
<a name="l00105"></a>00105                 <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> val, 
<a name="l00106"></a>00106                     <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">&#39; &#39;</span>, 
<a name="l00107"></a>00107                     std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00108"></a>00108 
<a name="l00109"></a>00109 <span class="preprocessor">        #endif</span>
<a name="l00110"></a>00110 <span class="preprocessor"></span><span class="preprocessor">#else</span>
<a name="l00111"></a>00111 <span class="preprocessor"></span>
<a name="l00112"></a>00112         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">size_t</span> val, 
<a name="l00113"></a>00113             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">&#39; &#39;</span>, 
<a name="l00114"></a>00114             std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00116"></a>00116         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> val, 
<a name="l00117"></a>00117             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">&#39; &#39;</span>, 
<a name="l00118"></a>00118             std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00119"></a>00119 <span class="preprocessor">#endif</span>
<a name="l00120"></a>00120 <span class="preprocessor"></span>
<a name="l00121"></a>00121         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">long</span> val, 
<a name="l00122"></a>00122             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> width = 0, <span class="keywordtype">char</span> fill = <span class="charliteral">&#39; &#39;</span>, 
<a name="l00123"></a>00123             std::ios::fmtflags flags = std::ios::fmtflags(0) );
<a name="l00127"></a>00127         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keywordtype">bool</span> val, <span class="keywordtype">bool</span> yesNo = <span class="keyword">false</span>);
<a name="l00132"></a>00132         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Vector2</a>&amp; val);
<a name="l00137"></a>00137         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; val);
<a name="l00142"></a>00142         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a>&amp; val);
<a name="l00147"></a>00147         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix3.html" title="A 3x3 matrix which can represent rotations around axes.">Matrix3</a>&amp; val);
<a name="l00153"></a>00153         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; val);
<a name="l00158"></a>00158         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a>&amp; val);
<a name="l00163"></a>00163         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; val);
<a name="l00169"></a>00169         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> toString(<span class="keyword">const</span> <a class="code" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a>&amp; val);
<a name="l00170"></a>00170 
<a name="l00175"></a>00175         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> parseReal(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> defaultValue = 0);
<a name="l00180"></a><a class="code" href="classOgre_1_1StringConverter.html#ae7053b6bd3df67328a898940036ab5b5">00180</a>         <span class="keyword">static</span> <span class="keyword">inline</span> <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> <a class="code" href="classOgre_1_1StringConverter.html#ae7053b6bd3df67328a898940036ab5b5" title="Converts a String to a Angle.">parseAngle</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val, <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> defaultValue = <a class="code" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a>(0)) {
<a name="l00181"></a>00181             <span class="keywordflow">return</span> <a class="code" href="classOgre_1_1Angle.html" title="Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAn...">Angle</a>(parseReal(val, defaultValue.valueRadians()));
<a name="l00182"></a>00182         }
<a name="l00187"></a>00187         <span class="keyword">static</span> <span class="keywordtype">int</span> parseInt(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val, <span class="keywordtype">int</span> defaultValue = 0);
<a name="l00192"></a>00192         <span class="keyword">static</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> parseUnsignedInt(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> defaultValue = 0);
<a name="l00197"></a>00197         <span class="keyword">static</span> <span class="keywordtype">long</span> parseLong(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val, <span class="keywordtype">long</span> defaultValue = 0);
<a name="l00202"></a>00202         <span class="keyword">static</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> parseUnsignedLong(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> defaultValue = 0);
<a name="l00208"></a>00208         <span class="keyword">static</span> <span class="keywordtype">bool</span> parseBool(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val, <span class="keywordtype">bool</span> defaultValue = 0);
<a name="l00214"></a>00214         <span class="keyword">static</span> <a class="code" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Vector2</a> parseVector2(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector2.html" title="Standard 2-dimensional vector.">Vector2</a>&amp; defaultValue = <a class="code" href="classOgre_1_1Vector2.html#a70fef72151781ad0174a004a8b6b3acc">Vector2::ZERO</a>);
<a name="l00220"></a>00220         <span class="keyword">static</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> parseVector3(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; defaultValue = <a class="code" href="classOgre_1_1Vector3.html#a5da94afc089ec07612b4a2615bb6b86f">Vector3::ZERO</a>);
<a name="l00226"></a>00226         <span class="keyword">static</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> parseVector4(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a>&amp; defaultValue = <a class="code" href="classOgre_1_1Vector4.html#a6094638aa9e67551258f70f113d805d9">Vector4::ZERO</a>);
<a name="l00232"></a>00232         <span class="keyword">static</span> <a class="code" href="classOgre_1_1Matrix3.html" title="A 3x3 matrix which can represent rotations around axes.">Matrix3</a> parseMatrix3(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix3.html" title="A 3x3 matrix which can represent rotations around axes.">Matrix3</a>&amp; defaultValue = <a class="code" href="classOgre_1_1Matrix3.html#adcb2945d4f9b8995236be5a27dcfe343">Matrix3::IDENTITY</a>);
<a name="l00238"></a>00238         <span class="keyword">static</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> parseMatrix4(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; defaultValue = <a class="code" href="classOgre_1_1Matrix4.html#af2f61127dd1911c9ac2b4cbc0b4f3668">Matrix4::IDENTITY</a>);
<a name="l00244"></a>00244         <span class="keyword">static</span> <a class="code" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a> parseQuaternion(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a>&amp; defaultValue = <a class="code" href="classOgre_1_1Quaternion.html#a441b8d52549e1dedec27420325a313ef">Quaternion::IDENTITY</a>);
<a name="l00250"></a>00250         <span class="keyword">static</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> parseColourValue(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val, <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; defaultValue = <a class="code" href="classOgre_1_1ColourValue.html#a7f8a06f2a9dd645417c36b560f496c1a">ColourValue::Black</a>);
<a name="l00251"></a>00251 
<a name="l00257"></a>00257         <span class="keyword">static</span> <a class="code" href="group__General.html#ga0899c03496d3c25c6555889aa76a78db">StringVector</a> parseStringVector(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00259"></a>00259         <span class="keyword">static</span> <span class="keywordtype">bool</span> isNumber(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; val);
<a name="l00260"></a>00260     };
<a name="l00261"></a>00261 
<a name="l00265"></a>00265 }
<a name="l00266"></a>00266 
<a name="l00267"></a>00267 
<a name="l00268"></a>00268 
<a name="l00269"></a>00269 <span class="preprocessor">#endif</span>
<a name="l00270"></a>00270 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:52
</p>
</body>
</html>
